<template>
	<div class="content-block" :class="{'no-margin-left': !$auth.isAuth}">
		<div class="container">
			<div class="row">
				<div :class="classList">
					<transition name="fade">
						<div class="content" v-if="!iframe">
							<h3 class="main-header"  ref="card2card">Услуги</h3>
							<div class="row services-page">
								<div class="columns six">
									<div class="white-block" >
										<div class="padding">
											<h3>Переводы с карты на карту</h3>
										</div>
										<hr/>
										<div class="padding">
											<img src="/lk/static/img/services/c2c.png" class="a-image service-img"
												 alt=""/>
											<p>Возможность быстрого и удобного проведения платежей за услуги
												доступна вместе с Webbankir. Оплата услуг в любое время, в любом
												удобном для вас месте.</p>
										</div>
									</div>
									<a href="https://p2p.mdm.ru/transfer_webbankir" target="_blank" ref="card2card">
										<button>Перевести деньги</button>
									</a>
								</div>
								<div class="columns six">
									<div class="white-block" style="padding-bottom: 27px;">
										<div class="padding">
											<h3>Оплата услуг онлайн</h3>
										</div>
										<hr/>
										<div class="padding">
											<img src="/lk/static/img/services/pay-s.png" class="a-image service-img"
												 alt=""/>
											<p>Оплачивайте коммунальные и госуслуги, телефон и интернет, штрафы и
												налоги и еще более 1000 различных услуг вместе с Webbankir!</p>
										</div>
									</div>
									<button @click="showIframe" ref="zkh">Оплатить услуги</button>
								</div>
							</div>
						</div>
					</transition>
					<transition name="fade">
						<div v-if="iframe" class="white-block">
							<button class="white back-button" @click="iframe = false;iframeLoaded = false;$route.params.id = ''">Все услуги</button>
							<transition name="fade">
							<iframe src="https://paycard.rapida.ru/eae339513861910db2843e922d23d54768c51212/FE1D1946-CCA1-4932-B9E6-45D5BA01FFA3"
									frameborder="0"
									ref="iframe"
									:height="iframeHeight"
									width="100%"
									v-show="iframeLoaded"
									@load="iframeLoad"
									@error="iframeLoad"
							></iframe>
							</transition>
							<transition name="fade">
								<div v-show="!iframeLoaded" class="loader">
									<loader/>
								</div>

							</transition>
							<div class="info margin-top-30">
								<div class="padding">Оплата услуг в любое время.<br>
									Возможность быстрого и удобного проведения платежей за услуги важна для каждого.<br><br>

									Обычные способы оплаты связаны с необходимостью отрываться от домашних дел,
									работы и ехать в ближайшие пункты приема платежей, стоять в очередях.<br><br>

									Сохранность денег клиента гарантируется лицензией ЦБ РФ № 3371-К от 08.05.2013
									г. Если по каким-либо причинам средства не были зачислены на счет получателя, Вы
									всегда можете обратиться в службу поддержки и уточнить информацию о проведенном
									платеже.<br>
									Платежная квитанция формируется автоматически после проведения платежа, и ее
									можно распечатать.
								</div>
							</div>
						</div>

					</transition>
		<div class="row services-page" v-show="!iframe">
		  <div class="columns six">
			<div class="white-block">
			  <div class="padding">
				<h3>Кредитный рейтинг</h3>
			  </div>
			  <hr/>
			  <div class="padding">
				<img src="/lk/static/img/services/credit-rate.png" class="a-image service-img" alt=""/>
				<p>Узнайте свой кредитный рейтинг. Это оценка вашей возможности получения займов и кредитов.</p>
			  </div>
			</div>
			  <button @click="$router.push('/credit-rating')">Узнать рейтинг</button>
			  <!--<a href="https://webbankir.com/creditrate" target="_blank" ref="creditrate">-->
				  <!--<button>Узнать рейтинг</button>-->
			  <!--</a>-->
		  </div>
		</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
  /* eslint-disable */
  import Mulltiselect from '@/UI/Multiselect'
  import CitySlider from '@/base/Footer/CitySlider'
  import TypeGetMoney from '@/components/TypeGetMoney/index'
  import SumAndOrder from '@/components/Pay/SumAndOrder'
  import SupplementaryNeedToBePayed from '@/pages/MyLoan/ActiveLoan/SupplementaryNeedToBePayed'
  import loader from '@/base/Loader'

  export default {
    name: 'services',
    data () {
      return {
        iframe: false,
		iframeLoaded: false,
		ready: false,
      }
    },
	  watch: {
        '$route.params.id' () {
            this.route();

		}
	  },
    computed: {
      classList () {
        return {
          columns: true,
          twelve: !this.$auth.isAuth,
		  nine: this.$auth.isAuth
        }
      },

      iframeHeight () {
        switch(this.$interface.viewport) {
          case 'mobile':
            return 1300;
          case 'tablet':
            return this.$store.getters.getWidth > 928 ? 550 :
              this.$store.getters.getWidth > 767 ? 750 : 1300;
          case 'laptop':
          case 'desktop':
            return 750;
        }
      }
    },
    components: {
      SupplementaryNeedToBePayed,
      SumAndOrder,
      TypeGetMoney,
      CitySlider,
      Mulltiselect,
	  loader
    },
	created () {


	 /* window.addEventListener('Message', (e) => {
	    if (e.origin !== 'https://paycard.rapida.ru') return;
	    try {
	      if (e.data) {
	        const data = JSON.parse(e.data);
	        console.log('postData', data);
	        if (data.Message === 'pageready' && data.height) {
	          this.iframeHeight = data.height;
			}
		  }
		} catch (e) {}
	  })*/
	},
	mounted () {
        this.route();
	},
    methods: {
        route () {
            if (this.$route.params.id === 'zkh') {
                this.iframe = true;
            } else if(this.$route.params.id === 'card2card') {
                window.scrollTo(0, 0);
                this.iframe = false;
            }
		},
      showIframe () {
        this.iframe = true
      },

      iframeLoad () {
        this.iframeLoaded = true
      },

	  unsetFrame () {
        this.iframe = false;
        this.iframeLoaded = false;
	  }
    }
  }
</script>

<style scoped lang="scss">
	.loader {
		width:100%;
		height:650px;
		text-align: center;
		background: #fff;
		position: relative;
	}
  .info {
	  margin-bottom: 20px;
	  margin-top:30px;
	  color: #666363;
  }

  .no-margin-left {
	  margin-left: 0 !important;
	  padding-top: 0;
  }

  .white {
	  cursor: default;
	  color: #b4cadd;
	  background: #fff;
  }

  .white:hover {
	  background: #fff
  }

	.back-button {
		background:#fff url(/lk/static/img/icons/left-year-arrow.png) no-repeat;
		background-position: 20px;
		padding-left: 60px;
		cursor: pointer;
		transition-duration: 0.3s;
		margin-left: 30px;
		margin-top: 30px;
		&:hover {
			transition-duration: 0.3s;
			background: url(/lk/static/img/icons/left-year-arrow.png) no-repeat;
			background-position: 20px;
			padding-left: 60px;
		}
	}
</style>
